import org.antlr.runtime.*;
import org.antlr.runtime.tree.*;

public class Main {
    public static void main(String[] args) {
	try {
	    CharStream input = new ANTLRFileStream(args[0]);
	    XMLLexer lex = new XMLLexer(input);

	    CommonTokenStream tokens = new CommonTokenStream(lex);
	    XMLParser parser = new XMLParser(tokens);
	    XMLParser.document_return root = parser.document();
	    System.out.println("tree="+((Tree)root.tree).toStringTree());

	    CommonTreeNodeStream nodes = new CommonTreeNodeStream((Tree)root.tree);
	    XMLTreeParser walker = new XMLTreeParser(nodes);
	    walker.document();
	} catch(Throwable t) {
	    System.out.println("exception: "+t);
	    t.printStackTrace();
	}
    }
}
